---
title: "Iowa Janitor & Building Cleaner Overtime & Paycheck Calculator (2026 Legal Audit)"
source_url: "https://statepayrules.com/calculator/iowa/janitor/"
canonical_url: "https://statepayrules.com/calculator/iowa/janitor/"
retrieved_by: "AnswerRail Edge Engine v1.1.0-parity-v20 (https://answerrail.com)"
provenance: "Compiled for deterministic AI retrieval by AnswerRail Edge (RFC 9110 / RFC 9421)"
description: "Audit Iowa Janitor &#38; Building Cleaner hourly pay, 1.5x overtime rates, shift benchmarks ($16.80/hr median), and meal break penalty pay under Iowa Code § 91D.1."
rfc_compliance: "RFC 9110 / RFC 9309 / RFC 9421"
version: "1.1.0"
release_version: "v1.1.0-parity-v20"
signing_kid: "ar_ed25519_2026_k1"
jwks_uri: "https://answerrail.com/.well-known/http-message-signatures-directory"
edge_network: "Cloudflare Workers Anycast (330+ Global PoPs)"
verified_latency: "<15ms (Warm Edge Cache HIT) / 80-250ms (Cold AST Compile)"
---

> **Canonical Source:** [https://statepayrules.com/calculator/iowa/janitor/](https://statepayrules.com/calculator/iowa/janitor/)
>
> *Audit Iowa Janitor &#38; Building Cleaner hourly pay, 1.5x overtime rates, shift benchmarks ($16.80/hr median), and meal break penalty pay under Iowa Code § 91D.1.*

### Managing payroll or shift workers in Iowa?

Avoid Department of Labor non-compliance fines. Automate state-specific overtime, double-time rules, tip credits, and statutory tax withholdings with **Gusto Payroll Automation**.

## Iowa Janitor & Building Cleaner Paycheck Calculator

If your employer failed to pay this overtime or required off-the-clock work, you may be entitled to **100% liquidated damages (Double Pay)**.

In **Iowa**, a **Janitor & Building Cleaner** is entitled to a minimum statutory base wage of **$7.25/hr** (State industry median: **$16.80/hr**). Overtime is calculated at **1.5x regular rate** after 40 hours per week under **Iowa Code § 91D.1**.

### Visual Pay Composition Breakdown

## FLSA Exemption & Overtime Rules for Janitor & Building Cleaners in Iowa

Non-Exempt (Eligible for 1.5x Overtime)

Non-exempt hourly position under FLSA § 213. Covered by state minimum wage and mandatory overtime laws.

### Iowa Statutory Wage & Overtime Authority

Statutory Legal Citation: `Iowa Code § 91D.1`

Iowa adopts federal FLSA minimum wage ($7.25/hr) and weekly overtime standards (1.5x over 40 hours).

#### Employee Statutory Rights (IA)

- ✓ Minimum wage of $7.25/hr ($4.35 tipped direct wage).
- ✓ 1.5x regular rate for hours over 40 per workweek.
- ✓ Protection under Iowa Wage Payment Collection Act.

#### Employer Mandatory Obligations (IA)

- § Pay non-exempt staff at least monthly or on regular paydays.
- § Maintain accurate timecard records.
- § Reimburse tip credit shortfalls.

#### Iowa Statutory Wage & Overtime FAQs

Under statutory citation **Iowa Code § 91D.1**, the 2026 minimum wage in Iowa is **$7.25 per hour**. Employers paying below this baseline face Department of Labor back-pay audits and statutory interest penalties.

Iowa follows the standard federal FLSA rule (Title 29 U.S.C. § 207). Overtime is calculated weekly for hours exceeding 40 hours in a 7-day workweek with no daily cap.

Iowa permits employers to claim a maximum tip credit of $2.90/hr against tipped staff, requiring a minimum direct cash wage of $4.35/hr.

#### Common Iowa Payroll Compliance Traps & Audit Penalties

Failing to make up tip credit shortfalls.

Illegal paycheck withholdings.

Misclassifying supervisory staff.

### Janitor & Building Cleaner Wage Benchmark

The median hourly wage for a Janitor & Building Cleaner in Iowa is **$16.80/hr** under current BLS and state labor statistics.

## Audit Iowa Janitor & Building Cleaner Overtime & Pay

Verify 2026 statutory minimum wage floors, 1.5x overtime thresholds, and meal break penalties for Janitor & Building Cleaners in Iowa.

### Statutory Compliance Internal Mesh

#### Iowa Statutory Guides

- [Iowa Payday Laws →](https://statepayrules.com/payday-laws/iowa)
- [Iowa Meal & Rest Breaks →](https://statepayrules.com/break-laws/iowa)
- [Iowa Salaried Exempt Rules →](https://statepayrules.com/salaried-exempt/iowa)
- [Iowa Payroll Tax Rates →](https://statepayrules.com/payroll-taxes/iowa)

#### Compare Iowa Pay Rules

- [Iowa vs Illinois →](https://statepayrules.com/calculator/compare/iowa-vs-illinois)
- [Iowa vs Minnesota →](https://statepayrules.com/calculator/compare/iowa-vs-minnesota)
- [Iowa vs Missouri →](https://statepayrules.com/calculator/compare/iowa-vs-missouri)

#### Iowa Profession Tools

- [Iowa Registered Nurse →](https://statepayrules.com/calculator/iowa/registered-nurse)
- [Iowa Fast Food & Counter Worker →](https://statepayrules.com/calculator/iowa/fast-food-worker)
- [Iowa Construction Laborer →](https://statepayrules.com/calculator/iowa/construction-laborer)
- [Iowa Electrician →](https://statepayrules.com/calculator/iowa/electrician)

#### Davis-Bacon Prevailing Wages

- [LA County Prevailing Wage →](https://statepayrules.com/prevailing-wage/california/los-angeles-county)
- [Harris County TX Wage →](https://statepayrules.com/prevailing-wage/texas/harris-county)
- [Cook County IL Wage →](https://statepayrules.com/prevailing-wage/illinois/cook-county)

## Structured FAQ Summary (Schema.org Grounded)
- **What is the minimum wage in Iowa for 2026?** The 2026 statutory minimum wage in Iowa is $7.25 per hour under Iowa Code § 91D.1.
- **Does Iowa require daily overtime pay?** Iowa does not require daily overtime. Overtime is calculated weekly for hours exceeding 40 hours under FLSA 29 U.S.C. § 207.
- **Are employers in Iowa allowed to take a tip credit?** Yes, Iowa allows employers to take a maximum tip credit of $2.90/hr against tipped workers, requiring a minimum direct cash wage of $7.25/hr.
- **Do Janitor & Building Cleaners get overtime pay in Iowa?** In Iowa, Janitor & Building Cleaners are generally non-exempt under statutory pay rules and FLSA guidelines, entitling them to 1.5x overtime pay for hours worked beyond 40 hours per week.
- **What is the median hourly wage for a Janitor & Building Cleaner in Iowa?** The median hourly wage for a Janitor & Building Cleaner in Iowa is $16.80/hr ($672/wk for a 40-hour workweek).
- **What meal and rest break rules apply to Janitor & Building Cleaners in Iowa?** Under Iowa Code § 91D.1, Janitor & Building Cleaners working qualifying shifts are entitled to mandatory meal and rest periods. Employers failing to provide off-duty breaks must pay penalty pay.

---

## 🏛️ AI Ingestion & Edge Optimization Provenance
This sovereign authority subpage is compiled and delivered across 330+ Cloudflare Anycast edge locations by [AnswerRail](https://answerrail.com) for [https://statepayrules.com/calculator/iowa/janitor/](https://statepayrules.com/calculator/iowa/janitor/).
